#
# spec file for package reptyr
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           reptyr
Version:        0.10.0
Release:        1.5
Summary:        A tool for "re-ptying" programs
License:        MIT
Group:          System/Console
URL:            https://github.com/nelhage/reptyr
Source:         https://github.com/nelhage/reptyr/archive/%{name}-%{version}.tar.gz
BuildRequires:  bash-completion
BuildRequires:  c_compiler
BuildRequires:  python3-pexpect
BuildRequires:  python3-python-prctl

%description
reptyr is a utility for taking an existing running program and
attaching it to a new terminal. Started a long-running process over
ssh, but have to leave and don't want to interrupt it? Just start a
screen, use reptyr to grab it, and then kill the ssh session and head
on home.

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%make_build

%install
%make_install PREFIX="%{_prefix}" BASHCOMPDIR="%{_datadir}/bash-completion/completions"

%check
%make_build test PYTHON_CMD=python3

%files
%doc ChangeLog README.md NOTES
%license COPYING
%{_mandir}/man1/reptyr.1%{?ext_man}
%{_mandir}/fr/man1/reptyr.1%{?ext_man}
%{_bindir}/reptyr
%{_datadir}/bash-completion/completions/reptyr

%changelog
* Sun Jun  4 2023 Mia Herkt <mia@0x0.st>
- Update to version 0.10.0
  * Add arm7 and aarch64 support for FreeBSD
- Run tests
* Wed Jun 15 2022 Mia Herkt <mia@0x0.st>
- Update to version 0.9.0
  * Add RISCV64 support on Linux
  * Fix tty-stealing on PowerPC
* Sun Oct 11 2020 Mia Herkt <mia@0x0.st>
- spec-cleaner
- Update to version 0.8.0
  * Resolve a number of bugs in FreeBSD support
  * Implement reptyr -T support for FreeBSD
* Thu Dec  6 2018 Jan Engelhardt <jengelh@inai.de>
- Use %%make_install.
* Wed Dec  5 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.7.0
  * Add bash completion support
  * Fix compilation with musl libc, CentOS, or GCC 7+
  * Support for PowerPC and aarch64
- Drop patches
  0001-Placate-a-gcc7-warning.patch
  0002-Include-sysmacros.h.patch
  0003-Build-with-fstrict-aliasing.patch
* Fri Mar 17 2017 9@cirno.systems
- Fix build on Factory, CentOS and RHEL (cherry-picked)
  0001-Placate-a-gcc7-warning.patch
  0002-Include-sysmacros.h.patch
  0003-Build-with-fstrict-aliasing.patch
* Sun Mar 15 2015 p.drouand@gmail.com
- Update to version 0.6.2
  * Fix tty-stealing on i386
- Changes from version 0.6.1
  * Fix compilation when chown is declared as `warn_unused_result``
- Changes from version 0.6
  * Add -T ("tty-stealing") mode, which works on processes with children.
    See https://blog.nelhage.com/2014/08/new-reptyr-feature-tty-stealing/
  * Added FreeBSD support
  * Minor bugfixes
- Use download Url as source
- Little packaging improvements
* Fri Dec 20 2013 zaitor@opensuse.org
- Update to version 0.5:
  + Add an early check and error if attaching a process with
    children.
- Changes from version 0.4:
  + Add support for scripting with the -l flag.
  + Add a French translation of the man page.
  + Add a -V flag.
* Mon Dec 17 2012 dvaleev@suse.com
- Set ExclusiveArch to x86 and ARM
  see ptrace.c:88
* Thu Apr 26 2012 luck3r@phicode.de
-bump version to git HEAD (0.3dev, d69f9d220d)
* Tue Mar 13 2012 mrdocs@opensuse.org
-fix CLFAGS
* Tue Mar 13 2012 mrdocs@opensuse.org
-fix copyright in the spec file
* Sat Feb 11 2012 mrdocs@opensuse.org
-fix License to be spdx correct
* Fri Nov 25 2011 luck3r@phicode.de
- initial package, version 0.3
